# This file is the input for generating the list of preferences
# for pc_print.cpp and pc_print.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionPrint
Macro name:  PCPRINT
Description: Printing
Type:        normal

Preference:  PrintLeftHeaderString
Depends on:  GENERIC_PRINTING
Section:     Printer
Key:         Print Left Header String
Type:        string
Description: Upper left print header string
Default:     "&w"

Preference:  PrintRightHeaderString
Depends on:  GENERIC_PRINTING
Section:     Printer
Key:         Print Right Header String
Type:        string
Description: Upper right print header string
Default:     "&p"

Preference:  PrintLeftFooterString
Depends on:  GENERIC_PRINTING
Section:     Printer
Key:         Print Left Footer String
Type:        string
Description: Lower left print footer string
Default:     "&u"

Preference:  PrintRightFooterString
Depends on:  GENERIC_PRINTING
Section:     Printer
Key:         Print Right Footer String
Type:        string
Description: Lower right print footer string
Default:     "&d &t"

Preference:  PrinterPrinterName
Depends on:  _UNIX_DESKTOP_
Section:     Printer
Key:         PrinterName
Type:        string
Description: Printer name to use
Default:     ""

Preference:  PrinterFileName
Depends on:  _UNIX_DESKTOP_
Section:     Printer
Key:         FileName
Type:        string
Description: Print to file filename
Default:     ""

Preference:  ShowPrintHeader
Depends on:  
Section:     Printer
Key:         Show Printer Header
Type:        boolean
Description: Create headers in printouts
Default:     DEFAULT_PRINT_HEADER

Preference:  PrintBackground
Depends on:  
Section:     Printer
Key:         Print Background
Type:        boolean
Description: Also print backgrounds
Default:     DEFAULT_PRINT_BACKGROUND

Preference:  DefaultFramesPrintType
Depends on:  GENERIC_PRINTING
Section:     Printer
Key:         Default Frames Print Type
Type:        integer
Description: How to print frames
Default:     PRINT_ALL_FRAMES

Preference:  PrintJobType
Depends on:  PREFS_HAVE_PRINT_JOB_TYPE
Section:     Printer
Key:         Print Job Type
Type:        integer
Description: Type of print job
Default:     PRINT_ALL_PAGES

Preference:  PrinterToFile
Depends on:  _UNIX_DESKTOP_
Section:     Printer
Key:         PrintToFile
Type:        boolean
Description: Enable print to file
Default:     FALSE

Preference:  PrinterScale
Depends on:  
Section:     Printer
Key:         Scale
Type:        integer
Description: Zoom level for printout (percent)
Default:     DEFAULT_PRINT_SCALE

Preference:  MarginLeft
Depends on:  
Section:     Printer
Key:         Left Margin
Type:        integer
Description: Left print margin
Default:     DEFAULT_LEFT_MARGIN

Preference:  MarginRight
Depends on:  
Section:     Printer
Key:         Right Margin
Type:        integer
Description: Right print margin
Default:     DEFAULT_RIGHT_MARGIN

Preference:  MarginTop
Depends on:  
Section:     Printer
Key:         Top Margin
Type:        integer
Description: Top print margin
Default:     DEFAULT_TOP_MARGIN

Preference:  MarginBottom
Depends on:  
Section:     Printer
Key:         Bottom Margin
Type:        integer
Description: Bottom print margin
Default:     DEFAULT_BOTTOM_MARGIN

Preference:  FitToWidthPrint
Depends on:  
Section:     Printer
Key:         Fit To Width Print
Type:        boolean
Description: Enable MSR for printing
Default:     TRUE

Preference:  PrintToFileWidth
Depends on:  
Section:     Printer
Key:         Print To File Width
Type:        integer
Description: Width of the virtual paper in 1/100 of inch
Default:     827

Preference:  PrintToFileHeight
Depends on:  
Section:     Printer
Key:         Print To File Height
Type:        integer
Description: Height of the virtual paper in 1/100 of inch
Default:     1169

Preference:  PrintToFileDPI
Depends on:  
Section:     Printer
Key:         Print To File DPI
Type:        integer
Description: DPI of the virtual printer
Default:     100

.eof
